/*
   File: mobile.sql
   Table definitions for Rutgers Mobile Web
*/

/*
   Table: feedback
   Stores feedback from users gathered from the in-app channel as well as
   the website.   

   Fields:
      id       - *int(10) unsigned NOT NULL AUTO_INCREMENT* unique identifier
      subject  - *varchar(255) NOT_NULL* subject of the feedback message
      message  - *text NOT_NULL* feedback message
      date     - *timestamp NOT_NULL DEFAULT CURRENT_TIMESTAMP* feedback message
      email    - *varchar(255) NOT_NULL* email to respond to 
      wantsResponse  - *bool DEFAULT FALSE* true if the user wants a response
      channel    - *varchar(255) NOT_NULL* channel which the feedback is about
      
*/

DROP TABLE IF EXISTS `feedback`;
CREATE TABLE `feedback` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `subject` varchar(255) NOT NULL default '',
  `message` text NOT NULL default '',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `email` varchar(255) NOT NULL default '',
  `wantsResponse` bool DEFAULT FALSE,
  `channel` varchar(255) NOT NULL default '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

/*
   Table: stops
   Stores stop information for convenient locating of nearest stops

   Fields:
      ref      - *int(2) unsigned DEFAULT NULL* unique id
      stopid   - *varchar(255) DEFAULT NULL* id of the stop
      stopname - *varchar(255) DEFAULT NULL* name of the stop
      stoploc  - *point DEFAULT NULL* loc of the stop
*/
DROP TABLE IF EXISTS `stops`;
CREATE TABLE `stops` (
  `agency` varchar(255) DEFAULT NULL,
  `ref` int(2) unsigned DEFAULT NULL,
  `stopid` varchar(255) DEFAULT NULL,
  `stopname` varchar(255) DEFAULT NULL,
  `stoploc` point DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

